package org.jdtaus.banking.dtaus.swing;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class GeneratorDialogBundle{ 

/** <pre> Name:</pre>. */
public static String getExecutiveNameText(final Locale locale) {
    return getMessage("executiveName", locale);
}

/** <pre> Name:</pre>. */
public static MessageFormat getExecutiveNameMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executiveName", locale), locale);
}

/** <pre> Accountcode:</pre>. */
public static String getTargetAccountText(final Locale locale) {
    return getMessage("targetAccount", locale);
}

/** <pre> Accountcode:</pre>. */
public static MessageFormat getTargetAccountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetAccount", locale), locale);
}

/** <pre> Test-File Generator</pre>. */
public static String getTitleText(final Locale locale) {
    return getMessage("title", locale);
}

/** <pre> Test-File Generator</pre>. */
public static MessageFormat getTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("title", locale), locale);
}

/** <pre> Number of descriptions per transaction:</pre>. */
public static String getNumDescriptionsText(final Locale locale) {
    return getMessage("numDescriptions", locale);
}

/** <pre> Number of descriptions per transaction:</pre>. */
public static MessageFormat getNumDescriptionsMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("numDescriptions", locale), locale);
}

/** <pre> Name:</pre>. */
public static String getTargetNameText(final Locale locale) {
    return getMessage("targetName", locale);
}

/** <pre> Name:</pre>. */
public static MessageFormat getTargetNameMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetName", locale), locale);
}

/** <pre> Details</pre>. */
public static String getDetailsPanelTitleText(final Locale locale) {
    return getMessage("detailsPanelTitle", locale);
}

/** <pre> Details</pre>. */
public static MessageFormat getDetailsPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("detailsPanelTitle", locale), locale);
}

/** <pre> Generating DTAUS file</pre>. */
public static String getGeneratorTaskDescriptionText(final Locale locale) {
    return getMessage("generatorTaskDescription", locale);
}

/** <pre> Generating DTAUS file</pre>. */
public static MessageFormat getGeneratorTaskDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("generatorTaskDescription", locale), locale);
}

/** <pre> Accountcode:</pre>. */
public static String getExecutiveAccountText(final Locale locale) {
    return getMessage("executiveAccount", locale);
}

/** <pre> Accountcode:</pre>. */
public static MessageFormat getExecutiveAccountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executiveAccount", locale), locale);
}

/** <pre> Accountcode:</pre>. */
public static String getHeaderAccountText(final Locale locale) {
    return getMessage("headerAccount", locale);
}

/** <pre> Accountcode:</pre>. */
public static MessageFormat getHeaderAccountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("headerAccount", locale), locale);
}

/** <pre> File types</pre>. */
public static String getFileTypePanelTitleText(final Locale locale) {
    return getMessage("fileTypePanelTitle", locale);
}

/** <pre> File types</pre>. */
public static MessageFormat getFileTypePanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileTypePanelTitle", locale), locale);
}

/** <pre> Number of transactions per logical file:</pre>. */
public static String getNumTransactionsText(final Locale locale) {
    return getMessage("numTransactions", locale);
}

/** <pre> Number of transactions per logical file:</pre>. */
public static MessageFormat getNumTransactionsMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("numTransactions", locale), locale);
}

/** <pre> Bankcode:</pre>. */
public static String getHeaderBankText(final Locale locale) {
    return getMessage("headerBank", locale);
}

/** <pre> Bankcode:</pre>. */
public static MessageFormat getHeaderBankMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("headerBank", locale), locale);
}

/** <pre> Target data</pre>. */
public static String getTargetPanelTitleText(final Locale locale) {
    return getMessage("targetPanelTitle", locale);
}

/** <pre> Target data</pre>. */
public static MessageFormat getTargetPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetPanelTitle", locale), locale);
}

/** <pre> The number of transactions to generate is less than the number of selected transaction types.
Should the number of transactions to generate be increased to {0,number} ?</pre>. */
public static String getIncreaseNumTransactionsText(final Locale locale) {
    return getMessage("increaseNumTransactions", locale);
}

/** <pre> The number of transactions to generate is less than the number of selected transaction types.
Should the number of transactions to generate be increased to {0,number} ?</pre>. */
public static MessageFormat getIncreaseNumTransactionsMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("increaseNumTransactions", locale), locale);
}

/** <pre> Create...</pre>. */
public static String getGenerateButtonText(final Locale locale) {
    return getMessage("generateButton", locale);
}

/** <pre> Create...</pre>. */
public static MessageFormat getGenerateButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("generateButton", locale), locale);
}

/** <pre> Executive data</pre>. */
public static String getExecutivePanelTitleText(final Locale locale) {
    return getMessage("executivePanelTitle", locale);
}

/** <pre> Executive data</pre>. */
public static MessageFormat getExecutivePanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executivePanelTitle", locale), locale);
}

/** <pre> Too few transactions</pre>. */
public static String getIncreaseNumTransactionsTitleText(final Locale locale) {
    return getMessage("increaseNumTransactionsTitle", locale);
}

/** <pre> Too few transactions</pre>. */
public static MessageFormat getIncreaseNumTransactionsTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("increaseNumTransactionsTitle", locale), locale);
}

/** <pre> The number of logical files to generate is less than the number of selected file types.
Should the number of logical files to generate be increased to {0,number} ?</pre>. */
public static String getIncreaseNumFilesText(final Locale locale) {
    return getMessage("increaseNumFiles", locale);
}

/** <pre> The number of logical files to generate is less than the number of selected file types.
Should the number of logical files to generate be increased to {0,number} ?</pre>. */
public static MessageFormat getIncreaseNumFilesMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("increaseNumFiles", locale), locale);
}

/** <pre> Textschlüssel</pre>. */
public static String getTextschluesselPanelTitleText(final Locale locale) {
    return getMessage("textschluesselPanelTitle", locale);
}

/** <pre> Textschlüssel</pre>. */
public static MessageFormat getTextschluesselPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("textschluesselPanelTitle", locale), locale);
}

/** <pre> Too few logical files</pre>. */
public static String getIncreaseNumFilesTitleText(final Locale locale) {
    return getMessage("increaseNumFilesTitle", locale);
}

/** <pre> Too few logical files</pre>. */
public static MessageFormat getIncreaseNumFilesTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("increaseNumFilesTitle", locale), locale);
}

/** <pre> random</pre>. */
public static String getVariableDescriptionText(final Locale locale) {
    return getMessage("variableDescription", locale);
}

/** <pre> random</pre>. */
public static MessageFormat getVariableDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("variableDescription", locale), locale);
}

/** <pre> Bankcode:</pre>. */
public static String getTargetBankText(final Locale locale) {
    return getMessage("targetBank", locale);
}

/** <pre> Bankcode:</pre>. */
public static MessageFormat getTargetBankMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("targetBank", locale), locale);
}

/** <pre> Bankcode:</pre>. */
public static String getExecutiveBankText(final Locale locale) {
    return getMessage("executiveBank", locale);
}

/** <pre> Bankcode:</pre>. */
public static MessageFormat getExecutiveBankMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("executiveBank", locale), locale);
}

/** <pre> Close</pre>. */
public static String getCloseButtonText(final Locale locale) {
    return getMessage("closeButton", locale);
}

/** <pre> Close</pre>. */
public static MessageFormat getCloseButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("closeButton", locale), locale);
}

/** <pre> Customer name:</pre>. */
public static String getHeaderCustomerText(final Locale locale) {
    return getMessage("headerCustomer", locale);
}

/** <pre> Customer name:</pre>. */
public static MessageFormat getHeaderCustomerMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("headerCustomer", locale), locale);
}

/** <pre> Number of logical files:</pre>. */
public static String getNumFilesText(final Locale locale) {
    return getMessage("numFiles", locale);
}

/** <pre> Number of logical files:</pre>. */
public static MessageFormat getNumFilesMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("numFiles", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.GeneratorDialog", locale).getString(key);
}

}
