package org.jdtaus.banking.swing;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class BankleitzahlenVerzeichnisDialogBundle{ 

/** <pre> Search</pre>. */
public static String getSearchButtonText(final Locale locale) {
    return getMessage("searchButton", locale);
}

/** <pre> Search</pre>. */
public static MessageFormat getSearchButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("searchButton", locale), locale);
}

/** <pre> City:</pre>. */
public static String getCityLabelText(final Locale locale) {
    return getMessage("cityLabel", locale);
}

/** <pre> City:</pre>. */
public static MessageFormat getCityLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("cityLabel", locale), locale);
}

/** <pre> Postal code:</pre>. */
public static String getPostleitzahlLabelText(final Locale locale) {
    return getMessage("postleitzahlLabel", locale);
}

/** <pre> Postal code:</pre>. */
public static MessageFormat getPostleitzahlLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("postleitzahlLabel", locale), locale);
}

/** <pre> Bankleitzahl directory</pre>. */
public static String getTitleText(final Locale locale) {
    return getMessage("title", locale);
}

/** <pre> Bankleitzahl directory</pre>. */
public static MessageFormat getTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("title", locale), locale);
}

/** <pre> Head office:</pre>. */
public static String getHeadOfficeLabelText(final Locale locale) {
    return getMessage("headOfficeLabel", locale);
}

/** <pre> Head office:</pre>. */
public static MessageFormat getHeadOfficeLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("headOfficeLabel", locale), locale);
}

/** <pre> Bank name:</pre>. */
public static String getBanknameLabelText(final Locale locale) {
    return getMessage("banknameLabel", locale);
}

/** <pre> Bank name:</pre>. */
public static MessageFormat getBanknameLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("banknameLabel", locale), locale);
}

/** <pre> Bankleitzahlen</pre>. */
public static String getVerzeichnisPanelTitleText(final Locale locale) {
    return getMessage("verzeichnisPanelTitle", locale);
}

/** <pre> Bankleitzahlen</pre>. */
public static MessageFormat getVerzeichnisPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("verzeichnisPanelTitle", locale), locale);
}

/** <pre> Bank name</pre>. */
public static String getBanknameColumnText(final Locale locale) {
    return getMessage("banknameColumn", locale);
}

/** <pre> Bank name</pre>. */
public static MessageFormat getBanknameColumnMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("banknameColumn", locale), locale);
}

/** <pre> Search criteria: Bankleitzahl</pre>. */
public static String getSearchPanelTitleText(final Locale locale) {
    return getMessage("searchPanelTitle", locale);
}

/** <pre> Search criteria: Bankleitzahl</pre>. */
public static MessageFormat getSearchPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("searchPanelTitle", locale), locale);
}

/** <pre> City</pre>. */
public static String getCityColumnText(final Locale locale) {
    return getMessage("cityColumn", locale);
}

/** <pre> City</pre>. */
public static MessageFormat getCityColumnMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("cityColumn", locale), locale);
}

/** <pre> Bankleitzahl:</pre>. */
public static String getBankleitzahlLabelText(final Locale locale) {
    return getMessage("bankleitzahlLabel", locale);
}

/** <pre> Bankleitzahl:</pre>. */
public static MessageFormat getBankleitzahlLabelMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bankleitzahlLabel", locale), locale);
}

/** <pre> Bankleitzahl</pre>. */
public static String getBankleitzahlColumnText(final Locale locale) {
    return getMessage("bankleitzahlColumn", locale);
}

/** <pre> Bankleitzahl</pre>. */
public static MessageFormat getBankleitzahlColumnMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bankleitzahlColumn", locale), locale);
}

/** <pre> BIC</pre>. */
public static String getBicColumnText(final Locale locale) {
    return getMessage("bicColumn", locale);
}

/** <pre> BIC</pre>. */
public static MessageFormat getBicColumnMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bicColumn", locale), locale);
}

/** <pre> Close</pre>. */
public static String getCloseButtonText(final Locale locale) {
    return getMessage("closeButton", locale);
}

/** <pre> Close</pre>. */
public static MessageFormat getCloseButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("closeButton", locale), locale);
}

/** <pre> Postal code</pre>. */
public static String getPostalCodeColumnText(final Locale locale) {
    return getMessage("postalCodeColumn", locale);
}

/** <pre> Postal code</pre>. */
public static MessageFormat getPostalCodeColumnMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("postalCodeColumn", locale), locale);
}

/** <pre> Ok</pre>. */
public static String getOkButtonText(final Locale locale) {
    return getMessage("okButton", locale);
}

/** <pre> Ok</pre>. */
public static MessageFormat getOkButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("okButton", locale), locale);
}

/** <pre> Show branch offices</pre>. */
public static String getBranchOfficesCheckBoxText(final Locale locale) {
    return getMessage("branchOfficesCheckBox", locale);
}

/** <pre> Show branch offices</pre>. */
public static MessageFormat getBranchOfficesCheckBoxMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("branchOfficesCheckBox", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    return ResourceBundle.getBundle(
        "org.jdtaus.banking.swing.BankleitzahlenVerzeichnisDialog", locale).getString(key);
}

}
